Subject: Re: bug#78416: [PATCH] * src/lread.c (get-load-suffixes): Avoid module suffix with compressed suffix

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 May 2025 12:46:51 +0300

> From: Lin Sun <[email-masked]>
> CC: "[email-masked]" <[email-masked]>, "[email-masked]"
> 	<[email-masked]>, "[email-masked]" <[email-masked]>
> Date: Wed, 21 May 2025 20:43:15 +0000
> 
> From: Eli Zaretskii <[email-masked]>
> Sent: Saturday, May 17, 2025 06:57 AM
> 
> > Thanks, but I think you've misunderstood the comments.  We should only
> > ignore the ".gz" suffix.  Ignoring other suffixes would be a potential
> > regression, because there's nothing wrong in trying to load a file
> > called, say, foobar.so.abc.  The current code supports that, and I see
> > no reason to drop that support.
> 
> > The ".gz" suffix gets in the way because dynamic loaders cannot load
> > such compressed shared libraries.
> 
> > So the condition for not appending a suffix from
> > load-file-rep-suffixes should also test the value of 'ext', and only
> > refuse to append it if it compares equal with ".gz".
> 
> Yes, you're right.
> 
> According to the document of "load-file-rep-suffixes", the "jka-compr-load-suffixes" is used for the compressed suffixes.
> So I attach a new patch, the patch will seek the "jka-compr-load-suffixes" to determine the compressed suffixes for emacs module and skip it.
> Please check the attached patch for details. Thank you.

Thanks, I installed this on the master branch, and I'm closing the
bug.

P.S. Please see how I modified the commit log message, and try to
follow this style in the future.